cURL
curl --request PATCH \ --url https://api.sandbox.getasset.com/v0/business/{business_id}/task/{task_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "description": "<string>", "status": "pending" } '
{ "data": { "business_id": "<string>", "status": "pending", "task_type": "reconnect_account", "id": "<string>", "description": "ABC Business Checking", "first_requested_at": "2023-11-07T05:31:56Z", "last_requested_at": "2023-11-07T05:31:56Z" } }
The access token received from the authorization server in the OAuth 2.0 flow.
The new task description
1
The new status for the task
pending
completed
Successful Response
Show child attributes
The id of the business
The status of the task.
The type of task.
reconnect_account
categorize_transaction
review_personal_transaction
other
request_receipt
request_statement
request_other_document
The id of the task
The task description
255
"ABC Business Checking"
The first time the task was requested to the business. This is only available for tasks that require business input.
The last time the task was requested to the business. This is only available for tasks that require business input.